Copyright: Copyright (c)1997 Bjoern Ischo


Tray-HQ Index

About Tray-HQ

Installation Notes:

Overview

History / Known Bugs

Copyright ©1997 Bjoern Ischo


About Tray-HQ
About Tray-HQ:

Tray-HQ is a program that sits in your tray notification area on the Taskbar, and offers you 6 often used utilities with one click. I have written it because my Tray has always been full with different applications of different authors, and I wanted to get rid of that mess. I decided to put the most used ones into one program for several reasons:

1.Having them all in one program makes troubleshooting easier...

2.I can access them easier...

3.I safe some place on my taskbar and in my memory

Tray-HQ has several additional features that make it very comfortable to use. For example, the Window of Tray-HQ always stays on top. That makes it possible, for example, to use it as a clipbook, or to browse the calendar while writing a letter in your word processor. Oh, and by the way: Please excuse any spelling

or grammar mistakes - As I am German, English is not my mothertongue. It would be nice if you would inform me of really ugly mistakes so that I can remove them in the next version... ;)

Tray-HQ is freeware, and may be distributed freely as long as it remains unmodified. However, if you use it regulary, please consider a donation of your choice!

To contact me, send an e-mail to bischo6639@aol.com, visit my webpages at http://members.aol.com/bischo6639/index.html or write to:

Björn Ischo

Friesenstraße 24

D-20097 Hamburg

Germany

Lincense Agreement / Standard Disclaimer:

This program is copyrighted freeware. It may be distributed freely as long as it remains unmodified. If you regularly use it, please consider a ‘donation’ of your choice to the further development of tools like this.

I will not take responsibility by any problems caused by Tray-HQ and give no warranty about his usability, compatibility with different hardware/software or freeware status. I may decide to make later Versions shareware or commercial software. This will not affect the freeware status of this and all previous versions.


Installation Notes:

In normal cases, I’d recommend to use the setup program that came with Tray-HQ. It installs everything into a directory if your choice, and also allows easy uninstalling. It does NOT install a shortcut to the Startup/Autostart folder, is is up to you to do that manually. If you do not use the delivered setup-program, do it like:

Extract the program (using WinZIP, pkzip or any comparable software) and all additional files to a directory of your choice. The program is started by executing the file named hqpro.exe. It can be started automatically on Windows startup by placing a shortcut in your startup-folder (autostart on german systems) .

To uninstall Tray-HQ, erase all files in the folder of the program, as well as the files trayhq.ini and hqadr.dat in the Windows-directory. You should uncheck the autostart-option before uninstalling. If you should encounter problems with the installation/deletion, please send me an e-mail or a letter with 3 IRCs.


Overview
Overview:

Tray-HQ puts itself as an icon into the trayarea of your taskbar. By leftclicking that icon, the mainwindow is shown, by right-clicking, a popup-menu with options for switching the clipboard capture on/off as well as several options to launch Windows-specific applications (screensaver, control panel...) appears.

The main-window  compromises 7 tab sheets, which represent one utility each. I think a quick description of all features should be enough as Tray-HQ is a very easy to understand and use program. If you should have any more questions, don’t hesitate to mail me. My address can be found in the legal stuff section of this helpfile.

The Calendar:

This is a simple calendar browser. There are 5 buttons on it’s page, 4 to browse the calender, and one that copies the selected date to the clipboard. These functions are also available through the right-click menu.By double clicking a date, you can enter a one-liner that will appear when that date has come (and Tray-HQ is started)

The Notepad:

A normal ASCII-texteditor. All commands to save/load, undo, cut, etc. are available through the pop-up menu (right click).

The Calculator:

Errr, yes, a Calculator. As on the other tab sheets, right clicking offers additional features.

0...9       : the numbers :-)

*, +, /, -  : the basic operators

_           : change +/-

c           : clear

i           : Sinus

o           : Cosinus

s           : square

q           : square root

z           : 1/x

l           : log(x)

x           : exponent

p           : pi

The Stop Timer:

Can be useful, for example, to track online time, or how long a program needs to do something. Has an additional analog clock feature. You can also set a charge by second, minute or hour, i.e. to watch your online costs.

The Clipboard Capture:

When activated, every new entry to the clipboard will be copied to the tab sheet's textfield, and enables you to re-use clipboard entries.

The Address Book:

A simple address book. Use next and previous buttons to browse the addresses, ‘NEW’ for a new one, and find to search one. The size of the database is limited to 64KB, but that should be enough anyway. By clicking ‘URL’ or e-mail, your standard web-browser is started with the given URL/e-mail adress.

The Settings:

Here, you can make cosmetic changes to Tray-HQ. You can change the language, set new styles for the window...I am a bit too lazy to explain them all here, just try yourself... ;)

The right-click menu of the tray-icon:

Besides showing the main window, this also lets you switch the clipboard capture on/off, and launches the screensaver, regedit, explorer or Window's control window.


History / Known Bugs
History / Known Bugs:

NEW IN VERSION 1.3:

-The address book and the settings tab sheets.

-German Language Support

-Several minor changes...

NEW IN VERSION 1.2:

-The Clipboard Capture !

-The Notepad and Clipboard Capture  now have a printing option.

-By double-clicking on a date, u can enter  a one-liner that will be displayed when Tray-HQ is started on that   date.

-A new Launch-submenu for the tray icon,  that starts the regedit, controls, explorer or screensaver.

-The recent files' menu of the notepad now  stores 8 instead of 4 filenames.

-Stop Time now has an option for setting a charge

NEW IN VERSION 1.1:

- The buttons on the notepad have been removed  to save place and solve problems with some older graphics adapters. An undo-function -has been included in the notepad-menu.

- 1/x function for the calculator

- Clear Recent Files option

- Calculator now has a copy to clipboard function via the pop-up menu. It also has an option to use a . instead of a , now, for American users. You can now use the keys in this!

- Calendar has a new button that shows and jumps to the actual date

- Countdown now displays a messagebox when it has reached zero.

- Stop Time / Countdown shows it's current value as  tool-tip of the tray-icon.

- The filesize has been reduced by nearly a quarter!

KNOWN BUGS:

-Tray-HQ stops the shutdown of Windows NT when active.

-Some standard-dialogboxes may always be in German.

-Certain (mostly old ISA-bus) graphics adapters may cause the tab control to disappear

- Users in Sweden will have to live with the fact that their calender isn’t showing the actual date. Timezones are kind of strange... ;)